.uw-border {
    border: grey solid 1px;
}

.uw-workbench .z-north-body {
    padding: 0px;
}

.uw-workbench .z-west-body {
    padding: 0px;
}

.uw-banner {
    background-color: rgb(0, 140, 201);
    color: white;
    padding: 8px;
}

.uw-title.z-label {
    font-size: 20px;
}

.uw-button-m {
    width: 100px;
    height: 30px;
}

button.uw-button-default,
button.uw-button-default:focus {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-default:hover {
    background: rgb(59, 117, 71) none;
    color: white;
    text-shadow: none;
    border: rgb(96, 170, 20);
}

button.uw-button-default:disabled {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(96, 170, 20);
    cursor: not-allowed;
}

button.uw-button-attention,
button.uw-button-attention:focus {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-attention:hover {
    background: rgb(0, 94, 147) none;
    color: white;
    text-shadow: none;
    border: rgb(0, 140, 201);
}

button.uw-button-attention:disabled {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(0, 140, 201);
    cursor: not-allowed;
}

button.uw-button-caution,
button.uw-button-caution:focus {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-caution:hover {
    background: rgb(170, 125, 0) none;
    color: white;
    text-shadow: none;
    border: rgb(230, 167, 0);
}

button.uw-button-caution:disabled {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(230, 167, 0);
    cursor: not-allowed;
}

button.uw-button-warning,
button.uw-button-warning:focus {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-warning:hover {
    background: rgb(175, 65, 4) none;
    color: white;
    text-shadow: none;
    border: rgb(236, 100, 12);
}

button.uw-button-warning:disabled {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    opacity: 0.6;
    border: rgb(236, 100, 12);
    cursor: not-allowed;
}

button.uw-button-danger,
button.uw-button-danger:focus {
    background: rgb(221, 46, 31) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-danger:hover {
    background: rgb(164, 15, 28) none;
    color: white;
    text-shadow: none;
    border: rgb(221, 46, 31);
}

button.uw-button-danger:disabled {
    background: rgb(221, 46, 31) none;
    color: white;
    text-shadow: none;
    opacity: 0.6;
    border: rgb(221, 46, 31);
    cursor: not-allowed;
}

button.uw-button-blue,
button.uw-button-blue:focus {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-blue:hover {
    background: rgb(0, 140, 201) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(0, 140, 201);
}

button.uw-button-purple,
button.uw-button-purple:focus {
    background: rgb(124, 91, 187) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-purple:hover {
    background: rgb(124, 91, 187) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(124, 91, 187);
}

button.uw-button-red,
button.uw-button-red:focus {
    background: rgb(221, 46, 31) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-red:hover {
    background: rgb(221, 46, 31) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(221, 46, 31);
}

button.uw-button-orange,
button.uw-button-orange:focus {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-orange:hover {
    background: rgb(236, 100, 12) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(236, 100, 12);
}

button.uw-button-cyan,
button.uw-button-cyan:focus {
    width: 100px;
    height: 30px;
    background: rgb(0, 158, 165) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-cyan:hover {
    background: rgb(0, 158, 165) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(0, 158, 165);
}

button.uw-button-yellow,
button.uw-button-yellow:focus {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-yellow:hover {
    background: rgb(230, 167, 0) none;
    color: white;
    text-shadow: none;
    opacity: 0.85;
    border: rgb(230, 167, 0);
}

button.uw-button-pink,
button.uw-button-pink:focus {
    background: rgb(126, 36, 127) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-pink:hover {
    background: rgb(126, 36, 127) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(126, 36, 127);
}

button.uw-button-green,
button.uw-button-green:focus {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-green:hover {
    background: rgb(96, 170, 20) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(96, 170, 20);
}

button.uw-button-grey,
button.uw-button-grey:focus {
    background: rgb(115, 118, 121) none;
    color: white;
    text-shadow: none;
    border: none;
}

button.uw-button-grey:hover {
    background: rgb(115, 118, 121) none;
    color: white;
    text-shadow: none;
    opacity: 0.8;
    border: rgb(115, 118, 121);
}

table tr.uw-mark td.z-cell {
    background: rgb(0, 158, 165);
}

table tr.uw-mark td.z-cell {
    color: white;
}

table tr {
    /*height: 24px;*/
}

.uw-grid-layout {
    border-style: none;
}

tr.uw-grid-layout.z-row:hover>td.z-cell,
tr.uw-grid-layout.z-row:hover>td.z-row-inner {
    background-color: transparent;
}

tr.uw-grid-layout.z-row:nth-child(even):hover>td.z-cell,
.uw-grid-layout.z-row:nth-child(even):hover>td.z-row-inner {
    background-color: transparent;
}

tr.uw-grid-layout.z-row:hover>td.z-cell,
tr.uw-grid-layout.z-row:hover>td.z-row-inner>.z-row-content {
    /*color: inherit*/
}

tr.uw-grid-layout>td {
    vertical-align: top;
}

.uw-clickable.z-grid tr.z-row, .uw-clickable.z-grid td.z-cell {
    cursor: pointer;
}

.uw-clickable {
    cursor: pointer;
}

.uw-color-blue {
    color: rgb(0, 94, 147);
}

.uw-color-orange {
    color: rgb(236, 100, 12);
}

.uw-color-yellow {
    color: rgb(255, 199, 58);
}

.uw-cell {
    color: rgb(0, 140, 201);
    padding-left: 15px;
    padding-right: 15px;
}

/**--------- label ----------------*/

span.uw-label-input {
    font-weight: bold;
}

td.uw-label-input {
    text-align: right;
}

span.uw-label-required:after {
    color: #d00;
    content: "*";
    margin-right: -6px;
    padding-left: 2px;
    font-size: larger;
}

/**------ navbar -------*/
.z-navbar.z-navbar-vertical {
    max-width: 100%;
}
.z-navbar.z-navbar-vertical li.z-nav a.z-nav-content i {
    margin-bottom: 1px;
    margin-right: 4px;
}

.z-navbar.z-navbar-vertical li.z-nav a.z-nav-content {
    padding: 1px 2px;
    height: inherit;
}

.z-navbar.z-navbar-vertical li.z-navitem a.z-navitem-content {
    padding: 1px 2px;
    height: inherit;
}

.z-navbar.z-navbar-vertical li.z-navitem a.z-navitem-content i {
    margin-bottom: 1px;
    margin-right: 4px;
}

/**------ groupbox -----*/
div.z-groupbox div.z-groupbox-content {
    padding: 0px 0px 4px 0px;
}

/**------ grid ---------*/
div.z-grid tbody.z-grid-emptybody {
    display: none;
}

div.z-grid tbody td[style*="width:0.1px"] {
    white-space: nowrap;
}

/*------- button group -----*/
.uw-commandbar {
    padding: 5px 15px 5px 15px;
}

/*------- font family ----*/
span.z-nav-text, span.z-tab-text
{
    font-family: "Microsoft JhengHei", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 16px;
}

span.z-label,
input.z-combobox-input, input.z-textbox,
button.z-button,
span.z-navitem-text, div.z-column-content
{
    font-family: "Microsoft JhengHei", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 15px;
}
button.z-button i {
    font-size: 15px;
}


/*------- layout ----*/
div.z-center-body {
    padding: 0px;
}
